Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2815003006: [LayoutNG] Handle floats/OOF at the beginning of inline in inline context (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by kojii
Modified:
4 months ago
CC:
atotic+reviews_chromium.org, blink-reviews, blink-reviews-layout_chromium.org, cbiesinger, chromium-reviews, dgrogan+ng_chromium.org, eae+blinkwatch, glebl+reviews_chromium.org, jchaffraix+rendering, leviw+renderwatch, ojan+watch_chromium.org, pdr+renderingwatchlist_chromium.org, szager+layoutwatch_chromium.org, zoltan1
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[LayoutNG] Handle floats/OOF at the beginning of inline in inline context Discussion doc: https://docs.google.com/a/chromium.org/document/d/1t3NOXd-0edfe6IG8-sBsrG9mICnOImSVQzuYRxw-nGM/edit?usp=sharing BUG=636993 Review-Url: https://codereview.chromium.org/2815003006 Cr-Commit-Position: refs/heads/master@{#465509} Committed: https://chromium.googlesource.com/chromium/src/+/a9545a8ace162fa58176e88d0f471f1ac2626186

Patch Set 1 #

Patch Set 2 : Handle floats only as inline too, add tests #

Patch Set 3 : Handle floats only as block, add more tests #

Patch Set 4 : TestExpectations #

Patch Set 5 : Resolve merge conflict #

Unified diffs Side-by-side diffs Delta from patch set Stats (+177 lines, -5 lines) Patch
M third_party/WebKit/Source/core/layout/ng/inline/ng_inline_layout_algorithm_test.cc View 1 2 3 4 1 chunk +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_block_node.cc View 1 2 3 4 2 chunks +27 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/ng/ng_block_node_test.cc View 1 2 1 chunk +146 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 59 (38 generated)
kojii
The one I stated in the e-mail discussion. PS1/PS3 uses block algorithm if it has ...
4 months, 1 week ago (2017-04-13 08:17:12 UTC) #11
kojii
One new test failure floats-wrap-top-below-inline-003r.htm actually turned to pass, but we fail to render -expected ...
4 months, 1 week ago (2017-04-13 09:27:50 UTC) #17
eae
LGTM
4 months ago (2017-04-18 02:09:18 UTC) #21
kojii
Ian told me that maybe we can rely on LayoutObject::ChlidrenInline() for this purpose. I tried, ...
4 months ago (2017-04-18 04:54:17 UTC) #22
ikilpatrick
ok, that sounds good, lgtm.
4 months ago (2017-04-18 13:00:34 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815003006/120001
4 months ago (2017-04-18 14:28:26 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: linux_layout_tests_layout_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_layout_tests_layout_ng/builds/68)
4 months ago (2017-04-18 14:58:12 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815003006/120001
4 months ago (2017-04-18 16:59:42 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: linux_layout_tests_layout_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_layout_tests_layout_ng/builds/71)
4 months ago (2017-04-18 17:26:28 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815003006/120001
4 months ago (2017-04-18 22:52:40 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/433696) linux_layout_tests_layout_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
4 months ago (2017-04-18 22:58:02 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815003006/140001
4 months ago (2017-04-19 01:10:23 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_compile_dbg_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_compile_dbg_ng/builds/392342) win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, ...
4 months ago (2017-04-19 01:14:55 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815003006/140001
4 months ago (2017-04-19 02:51:45 UTC) #42
commit-bot: I haz the power
Try jobs failed on following builders: linux_layout_tests_layout_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_layout_tests_layout_ng/builds/74)
4 months ago (2017-04-19 03:14:46 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815003006/140001
4 months ago (2017-04-19 04:37:23 UTC) #47
commit-bot: I haz the power
Try jobs failed on following builders: linux_layout_tests_layout_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_layout_tests_layout_ng/builds/77)
4 months ago (2017-04-19 05:02:28 UTC) #49
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815003006/140001
4 months ago (2017-04-19 05:07:30 UTC) #51
commit-bot: I haz the power
Try jobs failed on following builders: linux_layout_tests_layout_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_layout_tests_layout_ng/builds/78)
4 months ago (2017-04-19 05:36:38 UTC) #53
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2815003006/140001
4 months ago (2017-04-19 06:13:32 UTC) #56
commit-bot: I haz the power
4 months ago (2017-04-19 06:18:55 UTC) #59
Message was sent while issue was closed.
Committed patchset #5 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/a9545a8ace162fa58176e88d0f47...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b